//------------------------ CSPTimer.h -------------------------

//*************************************************************
//*****       Copyright ©2002 - 2004 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************


#ifndef _CSPTIMER
#define _CSPTIMER

#include "CSPConf.h"
#include "CSPLib.h"

class CSPTOOLS_CLASS_EXPORT CSPTimer : public CSPObject
{
public:
	CSPTimer();
	virtual ~CSPTimer();

	bool Start();
	unsigned long GetMilliSecs() const;
	unsigned long GetMicroSecs() const;
	double GetMilliSecsDouble() const;
	double GetMicroSecsDouble() const;

protected:
	LARGE_INTEGER liStart;
	LARGE_INTEGER liFreq;
	bool bSupports;

	LARGE_INTEGER GetTicks() const;
};

#endif
